import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:example/constants/size_config.dart';

class FormError extends StatelessWidget {
  const FormError({
    super.key,
    required this.errors,
  });

  final List<String> errors;

  @override
  Widget build(BuildContext context) {
    return Column(
        children: List.generate(
            errors.length, (index) => formErrorText(error: errors[index])));
  }

  Row formErrorText({String? error}) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        SvgPicture.asset(
          "lib/assets/icons/Error.svg",
          height: getProportionateScreenHeight(14),
          width: getProportionateScreenWidth(14),
        ),
        SizedBox(
          width: getProportionateScreenWidth(5),
        ),
        Text(
          error ?? "",
          style: TextStyle(
            fontSize: getProportionateScreenWidth(12),
            color: Colors.red,
          ),
        ),
      ],
    );
  }
}
