import 'package:example/constants/size_config.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:syncfusion_flutter_datepicker/datepicker.dart';

class PPYDatePickerWidget extends StatefulWidget {
  const PPYDatePickerWidget(
      {Key? key, this.labelText, this.hintText, this.onSelectionChanged})
      : super(key: key);
  final labelText;
  final hintText;
  final Function(DateTime)? onSelectionChanged;

  @override
  _PPYDatePickerWidgetState createState() => _PPYDatePickerWidgetState();
}

class _PPYDatePickerWidgetState extends State<PPYDatePickerWidget> {
  _PPYDatePickerWidgetState();
  var _selectedDate;
  TextEditingController _controller = TextEditingController();

  String? _validateDate(String? value) {
    print("value: $value");
    if (value == null || value.isEmpty) {
      return 'Vui lòng chọn ngày';
    }
    return null;
  }

  void _showDatePicker(BuildContext context) async {
    final pickedDate = await showModalBottomSheet<DateTime>(
      context: context,
      builder: (context) {
        return Padding(
          padding: EdgeInsets.only(bottom: getProportionateScreenHeight(20)),
          child: SizedBox(
            height: 500,
            child: SfDateRangePicker(
              navigationMode: DateRangePickerNavigationMode.snap,
              showActionButtons: true,
              selectionMode: DateRangePickerSelectionMode.single,
              initialSelectedDate: _selectedDate,
              onSubmit: (value) {
                final pickedDate = value as DateTime;
                setState(() {
                  _selectedDate = pickedDate;
                  _controller.text =
                      DateFormat('dd/MM/yyyy').format(pickedDate);
                });
                Navigator.pop(context, pickedDate);
                if (widget.onSelectionChanged != null) {
                  widget.onSelectionChanged!(pickedDate);
                }
              },
              onCancel: () {
                Navigator.pop(context);
              },
            ),
          ),
        );
      },
    );

    if (pickedDate != null) {
      print("object: $pickedDate");
      setState(() {
        _selectedDate = pickedDate;
        _controller.text = DateFormat('dd/MM/yyyy').format(_selectedDate);
      });
      // _controller.text = DateFormat('dd/MM/yyyy').format(_selectedDate);
    }
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        _showDatePicker(context);
      },
      child: TextFormField(
        readOnly: true,
        validator: _validateDate,
        onChanged: (value) {
          print("onChange: $value");
        },
        onTap: () {
          _showDatePicker(context);
        },
        decoration: InputDecoration(
          labelText: widget.labelText,
          hintText: widget.hintText,
          border: OutlineInputBorder(),
          suffixIcon: IconButton(
            icon: Icon(Icons.calendar_today),
            onPressed: () {
              _showDatePicker(context);
            },
          ),
        ),
        controller: _controller,
      ),
    );
  }
}
