import 'package:example/services/shared_preferences_service.dart';
import 'package:flutter/material.dart';
import 'package:graphql_flutter/graphql_flutter.dart';
import 'package:flutter_dotenv/flutter_dotenv.dart';

final URL = dotenv.env['APPLE_ENDPOINT']!.toString();

class Config {
  final HttpLink httpLink = HttpLink(URL);

  final AuthLink authLink = AuthLink(getToken: () async {
    final token = await sharedPreferenceService.token;
    print("token $token");
    if (token != "") {
      return 'Bearer $token';
    }

    return null;
  });

  ValueNotifier<GraphQLClient> initializeClient() {
    final Link link = authLink.concat(httpLink);
    ValueNotifier<GraphQLClient> client = ValueNotifier(
      GraphQLClient(
        cache: GraphQLCache(
          store: HiveStore(),
        ),
        link: link,
      ),
    );

    return client;
  }
}

Config config = Config();
