import 'package:example/services/shared_preferences_service.dart';
import 'package:flutter/foundation.dart';
import 'package:jwt_decoder/jwt_decoder.dart';

class UserProvider with ChangeNotifier, DiagnosticableTreeMixin {
  String _userId = "";

  String get userId => _userId;

  UserProvider() {
    // Read the userId value from SharedPreferences and set the _userId field
    print('call');
    _readUserIdFromSharedPreferences();
  }

  void clearUserId() {
    _userId = "";

    notifyListeners();
  }

  Future<void> _readUserIdFromSharedPreferences() async {
    final token = await sharedPreferenceService.token;

    if (token.isEmpty) return;
    Map<String, dynamic> decodedToken = JwtDecoder.decode(token);
    _userId = decodedToken["hasura"]?["claims"]?["x-hasura-user-id"] ?? "";

    print("decodedToken: $_userId");
    notifyListeners();
  }

  Future<void> setUserId() async {
    await _readUserIdFromSharedPreferences();
  }

  @override
  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(StringProperty('userId', userId));
  }
}
