import 'package:example/screens/claim_case_detail/claim_case_detail_screen.dart';
import 'package:example/screens/home/components/claim_cases.graphql.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class ClaimCaseItem extends StatelessWidget {
  ClaimCaseItem({
    Key? key,
    required this.item,
  }) : super(key: key);

  Fragment$ClaimCases item;

  @override
  Widget build(BuildContext context) {
    final date =
        DateFormat('dd/MM/yyyy').format(DateTime.parse(item.created_at));

    return Container(
      padding: const EdgeInsets.all(16),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(10),
        color: Colors.white,
        boxShadow: [
          BoxShadow(
            color: Colors.grey.withOpacity(0.5),
            spreadRadius: 1,
            blurRadius: 1.5,
            offset: const Offset(0, 1), // changes position of shadow
          ),
        ],
      ),
      child: InkWell(
        onTap: () {
          Navigator.pushNamed(
            context,
            ClaimCaseDetailScreen.routerName,
            arguments: item.id,
          );
        },
        child: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Row(
              children: [
                Container(
                  width: 10,
                  height: 10,
                  decoration: BoxDecoration(
                    color: Colors.green,
                    shape: BoxShape.circle,
                  ),
                ),
                SizedBox(
                  width: 10,
                ),
                Text(
                  item.claim_case_status.comment ?? "",
                  style: TextStyle(
                    color: Colors.grey,
                    fontWeight: FontWeight.bold,
                  ),
                ),
              ],
            ),
            SizedBox(
              height: 10,
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Text(
                  item.code,
                  style: TextStyle(
                    fontWeight: FontWeight.bold,
                  ),
                ),
              ],
            ),
            SizedBox(
              height: 10,
            ),
            Text(item.insured_person.name),
            SizedBox(
              height: 10,
            ),
            Text(item.medical_provider_name ?? ""),
            SizedBox(
              height: 10,
            ),
            Text(
              date.toString(),
            ),
          ],
        ),
      ),
    );
  }
}
