import 'package:example/constants/constants.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class CreateClaimCaseButton extends StatelessWidget {
  const CreateClaimCaseButton({
    super.key,
    this.onTap,
  });

  final Function()? onTap;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: Container(
        padding: EdgeInsets.symmetric(vertical: 10, horizontal: 20),
        decoration: BoxDecoration(
          color: kPrimaryColor,
          borderRadius: BorderRadius.circular(8),
        ),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            SizedBox(
              width: 30,
              height: 30,
              child: SvgPicture.asset(
                'lib/assets/icons/Demo.svg',
                color: Colors.white,
              ),
            ),
            SizedBox(width: 10),
            Text(
              'Tạo yêu cầu mới',
              style: TextStyle(
                color: Colors.white,
                fontWeight: FontWeight.bold,
                fontSize: 16,
              ),
            ),
            Spacer(),
            SizedBox(
              width: 30,
              height: 30,
              child: SvgPicture.asset(
                'lib/assets/icons/ArrowRight.svg',
                // theme: SvgTheme(currentColor: Colors.white),
                color: Colors.white,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
