// ignore_for_file: library_private_types_in_public_api

import 'package:papaya_sdk/constants/constants.dart';
import 'package:flutter/material.dart';

class PPYCheckbox extends StatefulWidget {
  final String title;
  final bool value;
  final ValueChanged<bool>? onChanged;

  const PPYCheckbox({
    super.key,
    required this.title,
    required this.value,
    required this.onChanged,
  });

  @override
  _PPYCheckboxState createState() => _PPYCheckboxState();
}

class _PPYCheckboxState extends State<PPYCheckbox> {
  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        if (widget.onChanged != null) {
          widget.onChanged!(!widget.value);
        }
      },
      child: Padding(
        padding: const EdgeInsets.only(
          left: 16,
          right: 16,
        ),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              widget.title,
              style: const TextStyle(
                fontSize: 16,
                color: Colors.black,
                fontWeight: FontWeight.w500,
              ),
            ),
            Container(
              width: 18,
              height: 18,
              decoration: BoxDecoration(
                shape: BoxShape.circle,
                color: widget.value ? kPrimaryColor : Colors.transparent,
                border: Border.all(
                  color: widget.value ? kPrimaryColor : Colors.grey,
                  width: 1,
                ),
              ),
              child: widget.value
                  ? const Padding(
                      padding: EdgeInsets.all(1),
                      child: Icon(
                        Icons.circle,
                        color: Colors.white,
                        size: 8,
                      ),
                    )
                  : null,
            ),
          ],
        ),
      ),
    );
  }
}
