import 'package:papaya_sdk/constants/constants.dart';
import 'package:papaya_sdk/constants/size_config.dart';
import 'package:flutter/material.dart';

class PPYPrimaryButton extends StatelessWidget {
  const PPYPrimaryButton({
    super.key,
    required this.text,
    required this.press,
    this.loading = false,
    this.disabled = false,
  });

  final String text;
  final Function() press;
  final bool loading;
  final bool disabled;

  @override
  Widget build(BuildContext context) {
    final color = disabled ? Colors.grey : kPrimaryColor;
    final textColor = disabled ? Colors.white70 : Colors.white;

    return SizedBox(
      width: double.infinity,
      height: getProportionateScreenHeight(46),
      child: TextButton(
        onPressed: disabled || loading ? null : press,
        style: ButtonStyle(
          shape: MaterialStateProperty.all(
            RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(8),
            ),
          ),
          backgroundColor:
              MaterialStateProperty.all(disabled ? Colors.grey : kPrimaryColor),
        ),
        child: loading
            ? const SizedBox(
                width: 18,
                height: 18,
                child: CircularProgressIndicator(
                  strokeWidth: 2,
                  valueColor: AlwaysStoppedAnimation<Color>(Colors.white),
                ),
              )
            : Text(
                text,
                style: TextStyle(
                  fontSize: getProportionateScreenWidth(16),
                  color: Colors.white,
                ),
              ),
      ),
    );
  }
}
