import 'package:papaya_sdk/components/ppy_primary_button.dart';
import 'package:papaya_sdk/screens/home/home_screen.dart';
import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';

class SubmitSuccessfulScreen extends StatefulHookWidget {
  static String routerName = '/submit-successful';
  const SubmitSuccessfulScreen({super.key});

  @override
  State<SubmitSuccessfulScreen> createState() => _SubmitSuccessfulScreenState();
}

class _SubmitSuccessfulScreenState extends State<SubmitSuccessfulScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          Expanded(
            flex: 1,
            child: SafeArea(
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Image.asset(
                    "lib/assets/images/Saly-22.png",
                    package: 'papaya_sdk',
                    width: 215,
                    height: 215,
                  ),
                  const SizedBox(height: 24),
                  const Text(
                    "Yêu cầu bảo lãnh thuốc của bạn \n đã được tạo thành công!",
                    style: TextStyle(
                      color: Colors.black,
                      fontSize: 18,
                      height: 1.5,
                      fontWeight: FontWeight.bold,
                    ),
                    textAlign: TextAlign.center,
                  ),
                  const SizedBox(height: 4),
                  const Text(
                    "Chúng tôi sẽ phản hồi trong vòng 24 giờ\n làm việc tiếp theo",
                    style: TextStyle(
                        color: Colors.black, fontSize: 14, height: 1.5),
                    textAlign: TextAlign.center,
                  ),
                ],
              ),
            ),
          ),
          Padding(
            padding:
                const EdgeInsets.only(left: 20, right: 20, bottom: 37, top: 20),
            child: PPYPrimaryButton(
              press: () {
                Navigator.of(context).pushNamedAndRemoveUntil(
                  HomeScreen.routerName,
                  (route) => false,
                );
              },
              text: "Hoàn tất",
            ),
          ),
        ],
      ),
    );
  }
}
