import 'package:flutter_svg/svg.dart';
import 'package:papaya_sdk/components/ppy_primary_button.dart';
import 'package:papaya_sdk/constants/size_config.dart';
import 'package:papaya_sdk/screens/login/login_screen.dart';
import 'package:flutter/material.dart';

class Body extends StatefulWidget {
  const Body({super.key});

  @override
  State<Body> createState() => _BodyState();
}

class _BodyState extends State<Body> {
  final List<Map<String, String>> hightLights = [
    {
      "icon": "lib/assets/icons/ArchiveAdd.svg",
      "text": "Chi trả chi phí thuốc theo đơn",
    },
    {
      "icon": "lib/assets/icons/TruckFast.svg",
      "text": "Giao thuốc tận nơi 24/7"
    },
    {"icon": "lib/assets/icons/Demo.svg", "text": "Bảo lãnh thuốc trực tuyến"},
  ];

  @override
  Widget build(BuildContext context) {
    final width20 = getProportionateScreenWidth(20);
    final height20 = getProportionateScreenHeight(20);

    return Scaffold(
      body: Column(
        children: [
          Image(
            image: AssetImage(
              "lib/assets/images/Banner.png",
              package: 'papaya_sdk',
            ),
            height: getProportionateScreenHeight(200),
            width: double.infinity, // adjust the height as needed
            fit: BoxFit.fitWidth,
          ),
          Expanded(
            child: Padding(
              padding: EdgeInsets.symmetric(
                horizontal: width20,
                vertical: height20,
              ),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  const Text(
                    "Chào mừng, Phung Van Dung",
                    style: TextStyle(fontSize: 20, fontWeight: FontWeight.bold),
                  ),
                  SizedBox(height: getProportionateScreenHeight(4)),
                  const Text(
                    "Bảo lãnh thuốc là tính năng được phát triển bởi Papaya Insurtech và Long Châu dành riêng cho khách hàng tham gia Bảo hiểm Bảo Minh",
                    style: TextStyle(fontSize: 16),
                  ),
                  SizedBox(height: getProportionateScreenHeight(16)),
                  const Text(
                    "Tiện ích nổi bật",
                    style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold),
                  ),
                  Column(
                    children: List.generate(
                      hightLights.length,
                      (index) => Column(
                        children: [
                          SizedBox(height: getProportionateScreenHeight(16)),
                          HightLight(
                            icon: hightLights[index]["icon"]!,
                            text: hightLights[index]["text"]!,
                          ),
                        ],
                      ),
                    ),
                  ),
                ],
              ),
            ),
          ),
          Padding(
            padding: EdgeInsets.only(
              bottom: getProportionateScreenHeight(20),
              left: width20,
              right: width20,
            ),
            child: Column(
              children: [
                PPYPrimaryButton(
                  press: () {
                    Navigator.pushNamed(context, LoginScreen.routerName);
                  },
                  text: "Bắt đầu",
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}

class HightLight extends StatelessWidget {
  const HightLight({
    super.key,
    required this.icon,
    required this.text,
  });

  final String icon, text;

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        SvgPicture.asset(
          icon,
          package: 'papaya_sdk',
        ),
        Container(
          width: getProportionateScreenWidth(16),
        ),
        Text(text),
      ],
    );
  }
}
