import 'package:papaya_sdk/schema.graphql.dart';

List<Map<String, dynamic>> getPapersForBenefit(
    Enum$insured_benefit_types_enum benefit) {
  switch (benefit) {
    case Enum$insured_benefit_types_enum.Accident:
      return [
        {
          "type": Enum$claim_document_types_enum.AccidentTreatmentPaper.name
              .toString(),
          "description": "Phiếu điều trị tai nạn",
          "required": true,
        },
        {
          "type":
              Enum$claim_document_types_enum.PrescriptionPaper.name.toString(),
          "description": "Toa thuốc",
          "required": true,
        },
      ];
    case Enum$insured_benefit_types_enum.Dental:
      return [
        {
          "type":
              Enum$claim_document_types_enum.PrescriptionPaper.name.toString(),
          "description": "Toa thuốc",
          "required": true,
        },
      ];
    default:
      return [
        {
          "type":
              Enum$claim_document_types_enum.PrescriptionPaper.name.toString(),
          "description": "Toa thuốc",
          "required": true,
        },
      ];
  }

  // This function should return a list of papers required for the benefit
}

String getPaperName(Enum$claim_document_types_enum type) {
  switch (type) {
    case Enum$claim_document_types_enum.AccidentTreatmentPaper:
      return "Phiếu điều trị tai nạn";
    case Enum$claim_document_types_enum.PrescriptionPaper:
      return "Toa thuốc";
    default:
      return "";
  }
}
